using System;
using System.Diagnostics;
using System.Text;
using System.Windows.Forms;

namespace InfragisticsDockableTestApplication
{
    /// <summary>
    /// This is cDataSection container capable to contain cDataSection chartControl and cDataSection Grid
    /// </summary>
    public partial class GridChartControlContainer : UserControl
    {
        #region private

        private MultiSplitContainerDockable _multiSplitContainerDockable;
        TextBox textBox;

        #endregion

        /// <summary>
        /// Default constructor
        /// </summary>
        public GridChartControlContainer()
        {
            InitializeComponent();

            this._multiSplitContainerDockable = new MultiSplitContainerDockable();

            this._multiSplitContainerDockable.Dock = DockStyle.Fill;
            this._multiSplitContainerDockable.TabText1 = "Chart";
            this._multiSplitContainerDockable.TabText4 = "Time series data";
            this._multiSplitContainerDockable.TabText2 = "Selected point";
            this._multiSplitContainerDockable.TabText3 = "Quick watch";
            this.Controls.Add(this._multiSplitContainerDockable);

            this.textBox = new TextBox();
            this.textBox.Multiline = true;
            this.textBox.ScrollBars = ScrollBars.Both;
            this.textBox.Dock = DockStyle.Fill;
            this.textBox.ReadOnly = true;

            this._multiSplitContainerDockable.Control4 = this.textBox;
        }
    }
}
