using System.Windows.Forms;

namespace InfragisticsDockableTestApplication
{
    public partial class MultiSplitContainerDockable : UserControl
    {
        /// <summary>
        /// Costruttore di default.
        /// </summary>
        public MultiSplitContainerDockable()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Get or set the 1st control
        /// </summary>
        public Control Control1
        {
            get
            {
                return getControl(this.labelGridTimeSeries);
            }
            set
            {
                setControl(this.labelGridTimeSeries, value);
            }
        }

        /// <summary>
        /// Get or set the 2nd control
        /// </summary>
        public Control Control2
        {
            get
            {
                return getControl(this.labelChart);
            }
            set
            {
                setControl(this.labelChart, value);
            }
        }

        /// <summary>
        /// Get or set the 3rd control
        /// </summary>
        public Control Control3
        {
            get
            {
                return getControl(this.labelMouseHover);
            }
            set
            {
                setControl(this.labelMouseHover, value);
            }
        }

        /// <summary>
        /// Get or set the 4th control
        /// </summary>
        public Control Control4
        {
            get
            {
                return getControl(this.labelSinglePointGrid);
            }
            set
            {
                setControl(this.labelSinglePointGrid, value);
            }
        }

        /// <summary>
        /// Get or set the tab text for the 1st tab
        /// </summary>
        public string TabText1
        {
            get
            {
                return this.ultraDockManager.ControlPanes[0].Text;
            }
            set
            {
                this.ultraDockManager.ControlPanes[0].Text = value;
            }
        }

        /// <summary>
        /// Get or set the tab text for the 2nd tab
        /// </summary>
        public string TabText2
        {
            get
            {
                return this.ultraDockManager.ControlPanes[1].Text;
            }
            set
            {
                this.ultraDockManager.ControlPanes[1].Text = value;
            }
        }

        /// <summary>
        /// Get or set the tab text for the 3rd tab
        /// </summary>
        public string TabText3
        {
            get
            {
                return this.ultraDockManager.ControlPanes[2].Text;
            }
            set
            {
                this.ultraDockManager.ControlPanes[2].Text = value;
            }
        }

        /// <summary>
        /// Get or set the tab text for the 4th tab
        /// </summary>
        public string TabText4
        {
            get
            {
                return this.ultraDockManager.ControlPanes[3].Text;
            }
            set
            {
                this.ultraDockManager.ControlPanes[3].Text = value;
            }
        }

        private static Control getControl(Panel panel)
        {
            if (panel.Controls.Count > 0)
            {
                return panel.Controls[0];
            }
            else
            {
                return null;
            }
        }
        private static void setControl(Panel panel, Control control)
        {
            panel.Controls.Clear();
            panel.Controls.Add(control);
        }
    }
}
